#
# Copyright (c) 2008-2018 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'

from pyams_i18n.schema import I18nTextField
from pyams_portal.interfaces import IPortletRendererSettings

from onf_website import _


GALLERY_PARAGRAPH_BEFOREAFTER_SETTINGS_KEY = 'pyams_content.gallery.renderer:before-after'


class IGalleryParagraphBeforeAfterRendererSettings(IPortletRendererSettings):
    """Gallery paragraph before/after renderer settings"""

    description = I18nTextField(title=_("Gallery description"),
                                required=False)
